| RAMFS(4) | RAMFS(4)

NAME

| ramfs – memory file system

SYNOPSIS

| `ramfs` [ `−i` ] [ `−S` service ]

DESCRIPTION

Ramfs starts a 9P file server keeping all files in memory. Initially the file tree is empty.

By default ramfs posts its service as `ramfs` using 9pserve(4).

The `−S` flag specifies an alternate service name for ramfs to use.

The `−i` flag tells ramfs to use file descriptors 0 and 1 for its communication channel rather than create a pipe. This makes it possible to use ramfs as a file server on a remote machine: the file descriptors 0 and 1 will be the network channel from ramfs to the client machine.

This program is useful mainly as an example of how to write a user-level file server. It can also be used to provide high-performance temporary files.

SOURCE

| `/usr/local/plan9/src/cmd/ramfs.c`

SEE ALSO

| 9p(3), 9pserve(4)